VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::appliance::techpreview::networking::RoutesDefinitions Class Reference

Defines the type descriptors for the Routes API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | routeReadOnly
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | route
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | message
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | testStatusInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | testInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | testOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | add_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | add_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | set_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | set_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deleteInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | deleteOutput

## Detailed Description

Defines the type descriptors for the Routes API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::RoutesDefinitions::add_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("route", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.RoutesDefinitions.route.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::networking::RoutesDefinitions::add_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::RoutesDefinitions::deleteInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("route", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.RoutesDefinitions.route.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::networking::RoutesDefinitions::deleteOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::RoutesDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::networking::RoutesDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.RoutesDefinitions.routeReadOnly.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::RoutesDefinitions::message`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("message", new vmware.vapi.bindings.type.StringType());
                    fields.Add("result", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.networking.RoutesTypes.MessageStatus)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.networking.routes.message", fields, typeof(vmware.appliance.techpreview.networking.RoutesTypes.Message), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::RoutesDefinitions::route`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("destination", new vmware.vapi.bindings.type.StringType());
                    fields.Add("prefix", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("gateway", new vmware.vapi.bindings.type.StringType());
                    fields.Add("interface_name", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.networking.routes.route", fields, typeof(vmware.appliance.techpreview.networking.RoutesTypes.Route), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::RoutesDefinitions::routeReadOnly`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("destination", new vmware.vapi.bindings.type.StringType());
                    fields.Add("prefix", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("gateway", new vmware.vapi.bindings.type.StringType());
                    fields.Add("interface_name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("is_static", new vmware.vapi.bindings.type.BooleanType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.networking.routes.route_read_only", fields, typeof(vmware.appliance.techpreview.networking.RoutesTypes.RouteReadOnly), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::RoutesDefinitions::set_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("routes", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.RoutesDefinitions.route.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::networking::RoutesDefinitions::set_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::RoutesDefinitions::testInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("gateways", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::networking::RoutesDefinitions::testOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.RoutesDefinitions.testStatusInfo.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::RoutesDefinitions::testStatusInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("status", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.networking.RoutesTypes.TestStatus)));
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.RoutesDefinitions.message.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.networking.routes.test_status_info", fields, typeof(vmware.appliance.techpreview.networking.RoutesTypes.TestStatusInfo), validators, false, null);
                })

The documentation for this class was generated from the following file:

- RoutesDefinitions.cs